var api = {};

api.loadSlide = function (fn) {
  var i = document.getElementById("slideimage");
  i.src = fn;
}

api.nextSlide = function() {
  alert('next');
}

api.prevSlide = function() {
  alert('prev');
}

api.currSlide = function() {
  alert('curr');
}

api.drawRect = function (x,y,w,h) {
  var c = document.getElementById("canvas");
  var canvasContext = c.getContext("2d");
  canvasContext.fillStyle   = 'rgba(255, 0, 0, 0.5)';
  canvasContext.fillRect(x, y, w, h);
}

api.drawOnSlide = function (fn) {
  var c = document.getElementById("canvas");
  var myImage = new Image();
  var canvasContext = c.getContext("2d");
  myImage.onload = function() {
    //canvasContext.drawImage(myImage, 0, 0, c.width/2, c.height/2);
    canvasContext.fillStyle   = 'rgba(255, 0, 0, 0.5)';
    canvasContext.fillRect(66, 67, 95, 7);
    /*
    canvasContext.beginPath();
    canvasContext.arc(150, 110, 100, Math.PI * 1/2, Math.PI * 3/2);
    canvasContext.lineWidth = 15;
    canvasContext.lineCap = 'round';
    canvasContext.strokeStyle = 'rgba(255, 127, 0, 0.5)';
    canvasContext.stroke();
    */
  }
  myImage.src = fn;
}

api.drawCursor = function (x, y) {
  cr = document.getElementById("cursor");
  s = document.getElementById("slide");
  cr.style.left = s.style.left + x - 15;
  cr.style.top = s.style.top + y - 8;
  //api.updateStatus('<b>POSITION: </b> [x,y] ... '+cr.style.left+' '+cr.style.top);
}

api.testposun = function testposun() {
  x = Math.random()*100;
  y = Math.random()*100;
  api.drawCursor(x, y);
  //api.updateStatus('<b>POSITION: </b> [x,y] ... '+Math.round(x)+' '+Math.round(y));
  setTimeout(api.testposun, 1000);
}

api.updateStatus =  function (htmltext) {
  s = document.getElementById("status");
  s.innerHTML = htmltext;
}

api.updateTopic = function (text) {
  s = document.getElementById("topic");
  s.innerHTML = text;
}

api.sendStatusMsg = function (htmlid) {
  obj = document.getElementById(htmlid);
  alert(obj.value);
}


api.saveNotes = function () {
  alert('TODO: ulozit');
}
