var server = {};

server.slideBase = 'http://google.gipix.net/slides/beamer-rasmusen/';
//server.slideBase = 'http://localhost/Push/slides/beamer-rasmusen/';
server.metafile = 'meta.txt';
server.topic = '';
server.slideNum = 1;
server.slideNumMax = 13;
server.slideExt = '.jpg';

server.html = null;
server.slide = null;
server.slideimage = null;
server.debug = null;
server.wait = 0;
server.waitMax = 1;
server.checkInterval = 400;
server.canSend = false;

server.mouse = {
	x : null,
	y : null
}

server.mouseLast = {
	x : null,
	y : null
}

server.slideClick = function(ev) {
//	server.mouse.x = ev.clientX - server.slide.offset().left;
//	server.mouse.y = ev.clientY - server.slide.offset().top;
	server.canSend = true;
	server.sendMouse();
//	server.log('CLICK:' + server.mouse.x + '×' + server.mouse.y);
//	server.log('');
}

server.slideMouseMove = function(ev) {
	server.mouse.x = ev.clientX - server.slide.offset().left;
	server.mouse.y = ev.clientY - server.slide.offset().top;
	server.canSend = true;
////	server.log('L:' + server.mouseLast.x + '×' + server.mouseLast.y);
//	server.log(server.mouse.x + '×' + server.mouse.y);
//	server.log('');

	return false;
}

server.htmlMouseMove = function(ev) {
	server.canSend = false;
}

server.check = function() {
	if (
		server.mouseLast.x == server.mouse.x
		&&
		server.mouseLast.y == server.mouse.y
	) {
		server.wait++;
		server.log(server.wait);
		if (server.wait == server.waitMax) {
			server.sendMouse();
		}
		if (server.wait > server.waitMax) {
			server.wait = server.waitMax;
		}
	}
	else {
		server.mouseLast.x = server.mouse.x;
		server.mouseLast.y = server.mouse.y;
		server.wait = 0;
	}

	setTimeout(server.check, server.checkInterval);
}

server.loadSlide = function() {
	var url = server.slideBase + server.slideNum + server.slideExt;
	api.loadSlide(url);
}

server.prevSlide = function() {
	server.slideNum--;
	if (server.slideNum < 1) server.slideNum = 1;
	server.loadSlide();
	server.sendSlide();
}

server.nextSlide = function() {
	server.slideNum++;
	if (server.slideNum > server.slideNumMax) server.slideNum = server.slideNumMax;
	server.loadSlide();
	server.sendSlide();
}

server.sendSlide = function() {
	var data = server.slideimage.attr('src')
	server.send('loadSlide', data);
}

server.sendMouse = function() {
	if (!server.canSend) return;
	var data = server.mouse.x + ':' + server.mouse.y;
	server.send('moveCursor', data);
	api.drawCursor(server.mouse.x, server.mouse.y);
}

server.sendTopic = function() {
	server.send('setTopic', server.topic);
}

server.send = function(e, d) {
	server.log(e+':'+d);
	$.get("send.php", {event: e+'', data: d+''} );
//	$.get('send.php', {event: e, data: d});
}

server.sendStatus = function() {
	var msg = $('#statusmsg').val();
	server.send('setStatus', msg);
}

server.log = function(text) {
	if (server.debug != null) server.debug.html(text + '\n' + server.debug.html());
}

server.init = function() {
	var url = server.slideBase + server.metafile;
//	var url = 'http://localhost/push/slides/beamer-rasmusen/meta.txt';
	$.get(url, function(txt) {
		eval('var data = ' + txt);
		server.topic = data.name;
		server.slideNumMax = data.slides;
		$('#topic').html(server.topic);
		server.loadSlide();
		server.sendSlide();
		server.sendTopic();
	});
}

$(document).ready(function() {
	server.slide = $('#slide');
	server.slideimage = $('#slideimage');
	server.debug = $('#debug');
	server.html = $('html');

	setTimeout(server.check, server.checkInterval);

	server.slide.mousemove(server.slideMouseMove);
	server.slide.click(server.slideClick);
	server.html.mousemove(server.htmlMouseMove);
	server.init();
});
